

ПлавноСкрытьОкноРаскладок = мир =>
{
    мир.окна.раскладки.плавно.скрыть();
};


// // // //


ПлавноПоказатьОкноРаскладок = мир =>
{
    мир.окна.раскладки.плавно.отобразить();
};

// // // //


ЗадатьВидОкнаРаскладок = мир =>
{

    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = `

#${мир.окна.раскладки.указатель}
{
    background-color: white;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    /*width: 50%;*/
}

#скрыть-раскладки
{
    position: relative;
    margin: 0.5em;
    left: 0;
    top: 0;
}

    `;
};


// // // //


СоздатьОкноРаскладок = мир =>
{
    var окно = document.createElement("div");
    окно.id = "окно-раскладки";
    окно.style.display = "none";
    document.body.appendChild(окно);

    мир.окна.раскладки = {
        "указатель": окно.id,
        "элемент": окно,
        "плавно": new ПлавноОтобразитьСкрыть(окно, {
            "прозрачность": 0.8,
        }),
    };

    окно.innerHTML = `
<a id="скрыть-раскладки" uk-icon="icon: close; ratio: 2"></a>
<p>текст произвольный</p>
    `;

    $("#скрыть-раскладки").click(function() {
        мир.уведомить("кнопка скрыть раскладки");
    });
};